package cn.wise.sc.energy.power.plant.business.controller;

import cn.wise.sc.energy.power.plant.business.domain.vo.AlertInfoVo;
import cn.wise.sc.energy.power.plant.business.utils.poi.DocxService;
import cn.wise.sc.energy.power.plant.common.core.bean.BaseResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.io.IOException;
import java.util.List;
/**
 * @description: 阈值更新记录
 * @author: qh
 * @create: 2020-09-03 15:22
 **/
@CrossOrigin
@RestController
@RequestMapping("alertinfo/")
public class AlertInfoController {

    @Autowired
    DocxService docxService;

    @GetMapping("/test")
    public BaseResponse<List<AlertInfoVo>> list(){

        try {
            docxService.fillDocx("C0A001 - 1 - 1600756452620");
        } catch (IOException e) {
            e.printStackTrace();
        } catch (Exception e) {
            e.printStackTrace();
        }
        return null;
    }
}
